# ULekareProjectPatera
### how to run this project ? 
- easyly 
- first thing what will we do ... cloning this repository <code>git clone https://gitlab.com/albert.patera/ulekareprojectpatera.git</code>
- you must go to <code>docker-dev folder</code> and run db container with database <code>docker compose up</code> 
- mysql is running <code>3006</code> port 
- you must be sure, that this port is "free". If this port is not free, you must execute query <code>systemctl stop mysql</code>
- our database will be special and separate 
### first steps
- <code>composer update / install</code> to getting all <code>vendors</code> (libs)
### Lets go to migrate 
- we can run migration vis <code>php command </code>: 
#### first
- we can make migration 
- <code>php bin/console make:migrate</code>
#### second 
- we must sync data from entity colletct data from entity (from setter) to database table 
- <code> php bin/console doctrine:migration:migrate </code>

<code>VERY IMPORTAND INFORTION: we can run mysql container via <b>docker-compose up </b></code>
- You can check container count status via commnand : <code>sudo docker ps</code> (<code>sudo</code> command is not nessesery.)